Bug 1252678 - ActionController::RoutingError in database tab pages
ActionController::RoutingError in database tab pages
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.5.0
Assigned To: Eric Winchell
Aziza Karol
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-12 01:11 EDT by Aziza Karol
Modified: 2015-12-08 08:26 EST (History)
4 users (show)

See Also:
Fixed In Version: 5.5.0.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:26:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aziza Karol 2015-08-12 01:11:57 EDT
Description of problem:


Version-Release number of selected component (if applicable):
master.20150812003200_7302bca

How reproducible:
100%

Steps to Reproduce:
1.Navigate to configure->configuration->database
2.click on Tables,Indexes ,settings and client connections
3.

Actual results:
clicking on all above tabs throws "ActionController::RoutingError" in production.log

Expected results:
No error

Additional info:
production.log
[----] I, [2015-08-12T01:03:30.974317 #13025:6e5988]  INFO -- : Started GET "/images/icons/new/vmdb_index.png" for 127.0.0.1 at 2015-08-12 01:03:30 -0400
[----] F, [2015-08-12T01:03:30.976347 #13025:6e5988] FATAL -- : 
ActionController::RoutingError (No route matches [GET] "/images/icons/new/vmdb_index.png"):
  actionpack (4.2.3) lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call'
  actionpack (4.2.3) lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'
  railties (4.2.3) lib/rails/rack/logger.rb:38:in `call_app'
  railties (4.2.3) lib/rails/rack/logger.rb:22:in `call'
  request_store (1.2.0) lib/request_store/middleware.rb:8:in `call'
  actionpack (4.2.3) lib/action_dispatch/middleware/request_id.rb:21:in `call'
  rack (1.6.4) lib/rack/methodoverride.rb:22:in `call'
  rack (1.6.4) lib/rack/runtime.rb:18:in `call'
  activesupport (4.2.3) lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
  rack (1.6.4) lib/rack/lock.rb:17:in `call'
  actionpack (4.2.3) lib/action_dispatch/middleware/static.rb:116:in `call'
  rack (1.6.4) lib/rack/sendfile.rb:113:in `call'
  railties (4.2.3) lib/rails/engine.rb:518:in `call'
  railties (4.2.3) lib/rails/application.rb:165:in `call'
  rack (1.6.4) lib/rack/content_length.rb:15:in `call'
  thin (1.6.3) lib/thin/connection.rb:86:in `block in pre_process'
  thin (1.6.3) lib/thin/connection.rb:84:in `catch'
  thin (1.6.3) lib/thin/connection.rb:84:in `pre_process'
  thin (1.6.3) lib/thin/connection.rb:53:in `process'
  thin (1.6.3) lib/thin/connection.rb:39:in `receive_data'
  eventmachine (1.0.8) lib/eventmachine.rb:193:in `run_machine'
  eventmachine (1.0.8) lib/eventmachine.rb:193:in `run'
  thin (1.6.3) lib/thin/backends/base.rb:73:in `start'
  thin (1.6.3) lib/thin/server.rb:162:in `start'
  rack (1.6.4) lib/rack/handler/thin.rb:19:in `run'
  rack (1.6.4) lib/rack/server.rb:286:in `start'
  railties (4.2.3) lib/rails/commands/server.rb:80:in `start'
  railties (4.2.3) lib/rails/commands/commands_tasks.rb:80:in `block in server'
  railties (4.2.3) lib/rails/commands/commands_tasks.rb:75:in `tap'
  railties (4.2.3) lib/rails/commands/commands_tasks.rb:75:in `server'
  railties (4.2.3) lib/rails/commands/commands_tasks.rb:39:in `run_command!'
  railties (4.2.3) lib/rails/commands.rb:17:in `<top (required)>'
  bin/rails:4:in `require'
  bin/rails:4:in `<main>'
Comment 3 CFME Bot 2015-08-12 18:08:23 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/c1a9895c193fa1025d6115eb241f14f0a147bd2d

commit c1a9895c193fa1025d6115eb241f14f0a147bd2d
Author:     Eric Winchell <ewinchel@redhat.com>
AuthorDate: Wed Aug 12 13:33:48 2015 -0400
Commit:     Eric Winchell <ewinchel@redhat.com>
CommitDate: Wed Aug 12 13:33:48 2015 -0400

    added missing index icon
    https://bugzilla.redhat.com/show_bug.cgi?id=1252678

 public/images/icons/new/vmdb_index.png | Bin 0 -> 2599 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)
 create mode 100644 public/images/icons/new/vmdb_index.png
Comment 4 Aziza Karol 2015-10-26 06:19:06 EDT
Verified in :5.5.0.7-beta1.3.20151021133253_ed40d96
Comment 6 errata-xmlrpc 2015-12-08 08:26:36 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.